{
	"configurations": [
		{
			"name": "Debug M2",
			"request": "launch",
			"preLaunchTask": "Build M2 Debug",
			"executable": "./build/M2_Debug/CAN_FW.elf",
			"cwd": "${workspaceRoot}",
			"showDevDebugOutput": "parsed",
			"type": "cortex-debug",
			// J-Link config //
			"servertype": "jlink",
			"serverArgs": ["-speed", "4000"],
			"windows": {
				"serverpath": "C:/Program Files/SEGGER/JLink/JLinkGDBServerCL.exe"
			},
			"osx": {
				"serverpath": "/Applications/SEGGER/JLink/JLinkGDBServer"
			},
			"device": "STM32F105VC",
			"svdFile": "sys/STM32F107.svd",
			"swoConfig":
			{
				"enabled": true,
				"cpuFrequency": 36000000,
				"swoFrequency": 12000000,
				"source": "probe",
				"decoders":
				[
					{
						"label": "ITM",
						"type": "console",
						"port": 0,
						"showOnStartup": true,
						"encoding": "ascii",
					}
				]
			},
			// "rttConfig": {
			//     "enabled": true,
			//     "address": "auto",
			//     "decoders": [
			//         {
			//             "label": "RTT Log",
			//             "port": 0,
			//             "type": "console",
			//             "noprompt": true,
			//         }
			//     ]
			// },
			// Other //
			"internalConsoleOptions": "neverOpen"
		},
		{
			"name": "Debug M3",
			"request": "launch",
			"preLaunchTask": "Build M3 Debug",
			"executable": "./build/M3_Debug/CAN_FW.elf",
			"cwd": "${workspaceRoot}",
			"showDevDebugOutput": "parsed",
			"type": "cortex-debug",
			// J-Link config //
			"servertype": "jlink",
			"serverArgs": ["-speed", "4000"],
			"windows": {
				"serverpath": "C:/Program Files/SEGGER/JLink/JLinkGDBServerCL.exe"
			},
			"osx": {
				"serverpath": "/Applications/SEGGER/JLink/JLinkGDBServer"
			},
			"device": "STM32F446ZE",
			"svdFile": "sys/STM32F446.svd",
			"swoConfig":
			{
				"enabled": true,
				"cpuFrequency": 36000000,
				"swoFrequency": 12000000,
				"source": "probe",
				"decoders":
				[
					{
						"label": "ITM",
						"type": "console",
						"port": 0,
						"showOnStartup": true,
						"encoding": "ascii"
					}
				]
			},
			// "rttConfig": {
			//     "enabled": true,
			//     "address": "auto",
			//     "decoders": [
			//         {
			//             "label": "RTT Log",
			//             "port": 0,
			//             "type": "console",
			//             "noprompt": true,
			//         }
			//     ]
			// },
			// Other //
			"internalConsoleOptions": "neverOpen"
		}
	]
}